Update an invoice
curl --request PATCH \
--url https://b.anny.co/api/v1/invoices/{invoice_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"id": "<string>",
"type": "invoices",
"attributes": {
"number": "<string>",
"formatted_number": "<string>",
"currency": "<string>",
"is_cancellation": true,
"is_credit": true,
"has_payment": true,
"show_transfer_note": true,
"vat_number": "<string>",
"notes": "<string>",
"recipient": "<string>",
"invoicing_party": "<string>",
"total": 123,
"net_amount": 123,
"tax_amount": 123,
"is_processing": true,
"access_token": "<string>",
"issued_at": "<string>",
"due_date": "<string>",
"created_at": "<string>"
},
"links": {
"self": "<string>"
},
"relationships": {
"order": {
"data": {
"type": "<string>",
"id": "<string>"
},
"links": {
"self": "<string>"
}
},
"items": {
"data": [
{
"type": "<string>",
"id": "<string>"
}
],
"links": {
"self": "<string>"
}
},
"payments": {
"data": [
{
"type": "<string>",
"id": "<string>"
}
],
"links": {
"self": "<string>"
}
},
"organization": {
"data": {
"type": "<string>",
"id": "<string>"
},
"links": {
"self": "<string>"
}
}
}
}
}
'import requests
url = "https://b.anny.co/api/v1/invoices/{invoice_id}"
payload = { "data": {
"id": "<string>",
"type": "invoices",
"attributes": {
"number": "<string>",
"formatted_number": "<string>",
"currency": "<string>",
"is_cancellation": True,
"is_credit": True,
"has_payment": True,
"show_transfer_note": True,
"vat_number": "<string>",
"notes": "<string>",
"recipient": "<string>",
"invoicing_party": "<string>",
"total": 123,
"net_amount": 123,
"tax_amount": 123,
"is_processing": True,
"access_token": "<string>",
"issued_at": "<string>",
"due_date": "<string>",
"created_at": "<string>"
},
"links": { "self": "<string>" },
"relationships": {
"order": {
"data": {
"type": "<string>",
"id": "<string>"
},
"links": { "self": "<string>" }
},
"items": {
"data": [
{
"type": "<string>",
"id": "<string>"
}
],
"links": { "self": "<string>" }
},
"payments": {
"data": [
{
"type": "<string>",
"id": "<string>"
}
],
"links": { "self": "<string>" }
},
"organization": {
"data": {
"type": "<string>",
"id": "<string>"
},
"links": { "self": "<string>" }
}
}
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/vnd.api+json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/vnd.api+json'},
body: JSON.stringify({
data: {
id: '<string>',
type: 'invoices',
attributes: {
number: '<string>',
formatted_number: '<string>',
currency: '<string>',
is_cancellation: true,
is_credit: true,
has_payment: true,
show_transfer_note: true,
vat_number: '<string>',
notes: '<string>',
recipient: '<string>',
invoicing_party: '<string>',
total: 123,
net_amount: 123,
tax_amount: 123,
is_processing: true,
access_token: '<string>',
issued_at: '<string>',
due_date: '<string>',
created_at: '<string>'
},
links: {self: '<string>'},
relationships: {
order: {data: {type: '<string>', id: '<string>'}, links: {self: '<string>'}},
items: {data: [{type: '<string>', id: '<string>'}], links: {self: '<string>'}},
payments: {data: [{type: '<string>', id: '<string>'}], links: {self: '<string>'}},
organization: {data: {type: '<string>', id: '<string>'}, links: {self: '<string>'}}
}
}
})
};
fetch('https://b.anny.co/api/v1/invoices/{invoice_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"type": "invoices",
"attributes": {
"number": "<string>",
"formatted_number": "<string>",
"currency": "<string>",
"is_cancellation": true,
"is_credit": true,
"has_payment": true,
"show_transfer_note": true,
"vat_number": "<string>",
"notes": "<string>",
"recipient": "<string>",
"invoicing_party": "<string>",
"total": 123,
"net_amount": 123,
"tax_amount": 123,
"is_processing": true,
"access_token": "<string>",
"issued_at": "<string>",
"due_date": "<string>",
"created_at": "<string>"
},
"links": {
"self": "<string>"
},
"relationships": {
"order": {
"data": {
"type": "<string>",
"id": "<string>"
},
"links": {
"self": "<string>"
}
},
"items": {
"data": [
{
"type": "<string>",
"id": "<string>"
}
],
"links": {
"self": "<string>"
}
},
"payments": {
"data": [
{
"type": "<string>",
"id": "<string>"
}
],
"links": {
"self": "<string>"
}
},
"organization": {
"data": {
"type": "<string>",
"id": "<string>"
},
"links": {
"self": "<string>"
}
}
}
}
}Orders & Billing
Update an invoice
PATCH
/
api
/
v1
/
invoices
/
{invoice_id}
Update an invoice
Autorisierungen
The access token received from the authorization server in the OAuth 2.0 flow.
Pfadparameter
The invoice identifier.
Abfrageparameter
Organization ID
Body
application/vnd.api+json
An invoice generated for an order, containing line items and payment status.
Show child attributes
Show child attributes
Antwort
200 - application/vnd.api+json
OK
An invoice generated for an order, containing line items and payment status.
Show child attributes
Show child attributes
⌘I